Сайт | Скачать | Видео | Wiki

Автор Тема: wine 4.6 для pra03 и ddr01  (Прочитано 423 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Онлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10403
  • Репутация: +107/-2
wine 4.6 для pra03 и ddr01
« : 18 Апрель 2019, 14:51:52 »
загрузил wine-p-4.6 и сопутствующие пакеты wine-mono и wine-gecko возможно эта версия wine плохо работает со звуком, вкладка настройки звука в winecfg приводит к падению программы (но возможно что это потому что у меня apulse).
через правку реестра можно переключить на использование alsa и тогда не падает winecfg

Для работы этого wine нужен новый ffmpeg-p-4.1, модуль его тоже загрузил.
« Последнее редактирование: 02 Июнь 2019, 13:00:50 от sfs »
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Онлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10403
  • Репутация: +107/-2
wine для pra03 и ddr01
« Ответ #1 : 28 Май 2019, 10:32:31 »
    wine-p-4.6-pr01.pfs лежит в pfs-test. У всех он работает в пра03 и ДДР? Переложить?
Конечно переложить.
wine-mono-4.8.1-any.pfs
wine-p-4.6-pr01.pfs
wine_gecko-2.47.2-any.pfs
ffmpeg ему нужен новый вроде
« Последнее редактирование: 28 Май 2019, 10:55:28 от sfs »
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 27093
  • Репутация: +184/-0
    • PuppyRus-A
Re: Re: 2019 год. Опыт применения PRA
« Ответ #2 : 28 Май 2019, 10:46:26 »
ffmpeg ему нужен новый вроде
В ДДР01 wine --version  и radmin запускается без ffmpeg и меса. Этого достаточно?
« Последнее редактирование: 28 Май 2019, 10:48:58 от sfs »

Онлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10403
  • Репутация: +107/-2
Re: Re: 2019 год. Опыт применения PRA
« Ответ #3 : 28 Май 2019, 10:55:29 »
ну если звук или видео не нужен - достаточно.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн vpv1960

  • Пользователь
  • **
  • Сообщений: 74
  • Репутация: +5/-0
Re: Модули.pfs и пакеты от пользователей
« Ответ #4 : 02 Июнь 2019, 09:55:52 »
Все мои попытки понять почему не запускается wine-p-4.6-pr01.pfs в pra6408 привели к следующему:
1. live@pra6408:~$ wine
/usr/bin/wine: строка 4: /opt/wine/bin/wine: Нет такого файла или каталога
2. Содержание /usr/bin/wine
#!/bin/sh
#141215 sfs http://forum.puppyrus.org/index.php/topic,16173.0.html
p="`basename $0`"
PATH="/opt/$p/bin:/opt/ffmpeg/bin:$PATH" LD_LIBRARY_PATH="/opt/$p/lib:/opt/ffmpeg/lib:$LD_LIBRARY_PATH" exec "/opt/$p/bin/$p" "$@"
3. Обратила на себя внимание выдержка из обсуждения:
Когда переделывал imagination в portable, то сначала не заметил, что он не реагирует на LD_LIBRARY_PATH при поиске именно
 своих библиотек. Их он упрямо видит только в /usr/lib, пришлось перекинуть обратно.
В портированном avidemux_64 такая же проблема. Решается переносом /opt/ffmpeg/lib/ADM_plugins в /usr/lib/ADM_plugins.
4. В ffmpeg-p-4.1.0-pr01.pfs необходимой для работы wine-p-4.6 та же проблема.
Как я понимаю, pra6408 не корректно реализует LD_LIBRARY_PATH в отличии от PRA03 и ddr01, не находит пути и следовательно не может динамически подключить библиотеки. Решение проблемы где-то рядом, нужна помощь профи.

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 2217
  • Репутация: +73/-0
Re: Re: Модули.pfs и пакеты от пользователей
« Ответ #5 : 02 Июнь 2019, 10:30:04 »
Все мои попытки понять почему не запускается wine-p-4.6-pr01.pfs в pra6408
Модуль wine-p-4.6-pr01 32 битный, а система pra6408 - 64 бит. Или для wine это уже не важно?

Оффлайн vpv1960

  • Пользователь
  • **
  • Сообщений: 74
  • Репутация: +5/-0
Re: Re: Модули.pfs и пакеты от пользователей
« Ответ #6 : 02 Июнь 2019, 10:42:00 »
Зачем же тогда в wine-p-4.6-pr01/usr/bin лежит скрипт wine64 наряду со скриптом wine для 32 бит? Не так все просто с этим модулем.

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 2217
  • Репутация: +73/-0
Re: Re: Модули.pfs и пакеты от пользователей
« Ответ #7 : 02 Июнь 2019, 11:08:01 »
Ну тогда sfs надо переименовать его wine-p-4.6-pr01_any и положить еще и в 64битный репозитарий https://mirror.yandex.ru/puppyrus/puppyrus-a64/pfs-portable/

Оффлайн vpv1960

  • Пользователь
  • **
  • Сообщений: 74
  • Репутация: +5/-0
Re: Re: Модули.pfs и пакеты от пользователей
« Ответ #8 : 02 Июнь 2019, 11:14:56 »
Запуск wine64 дает ту же неудачу.

Онлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10403
  • Репутация: +107/-2
Re: Re: Модули.pfs и пакеты от пользователей
« Ответ #9 : 02 Июнь 2019, 13:00:35 »
Зачем же тогда в wine-p-4.6-pr01/usr/bin лежит скрипт wine64 наряду со скриптом wine для 32 бит? Не так все просто с этим модулем.
Да все с ним просто,  сказали же уже "для х32" а wine64 это может для запуска бинарников винды х64. В любом случае вам оно не подходит и никаких сложностей.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 27093
  • Репутация: +184/-0
    • PuppyRus-A
Re: wine 4.6 для pra03 и ddr01
« Ответ #10 : 02 Июнь 2019, 13:05:13 »
http://forum.puppyrus.org/index.php?topic=17685.msg110376#msg110376
Надо и для пра6408 такое собрать :
Код
sudo pacman2pfs `pfspkg lib32-base-pra6407-sf02.pfs`